Bug 60074 - RFE: "up2date --gpg-flags" command line option
Summary: RFE: "up2date --gpg-flags" command line option
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: up2date   
(Show other bugs)
Version: 4.0
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
: ---
Assignee: Adrian Likins
QA Contact: Jay Turner
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-19 18:38 UTC by Chip Turner
Modified: 2015-01-07 23:55 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-20 23:08:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Chip Turner 2002-02-19 18:38:37 UTC
In order to use gpg for keyring management of the up2date keyring, it is
necessary to have certain parameters on the gpg command line that only up2date
knows (such as location of gpg keyring).

Ideally, one could type:

gpg `up2date --gpg-flags` --list-keys
gpg `up2date --gpg-flags` --import < /foo/my/key.gpg

etc

and be able to use gpg's normal keyring management.  In most cases, up2date
--gpg-flags would expand to:

--no-default-keyring --keyring /etc/sysconfig/rhn/up2date-keyring.gpg

etc etc.

Comment 1 Adrian Likins 2002-02-19 20:16:37 UTC
added in cvs

I'm not real sure I like this change. It's seems kind of "special-casey",
but what the heck.

Comment 2 Chip Turner 2002-02-20 23:08:13 UTC
cool, it works exactly like I need it.  thanks!

(do I close the bug out, or let you?)




Note You need to log in before you can comment on or make changes to this bug.